Problems compiling some ports after upgrading to gcc 4.2.0

Kris Kennaway kris at obsecurity.org
Thu May 24 19:42:07 UTC 2007


On Thu, May 24, 2007 at 10:10:22AM +0200, John Hay wrote:
> On Thu, May 24, 2007 at 03:58:18AM -0400, Kris Kennaway wrote:
> > On Thu, May 24, 2007 at 07:51:52AM +0200, Rainer Hurling wrote:
> > > I think I have no problem with openssl. I also have no crashes of my 
> > > system. It works stable :-)
> > > 
> > > Again: After build/install world/kernel (05222007) I ran 'make 
> > > delete-old(-libs)'. This removed many files, inclusive 
> > > /usr/libs/libgcc_pic.a.
> > > 
> > > Now when trying to compile ports in several cases I get the described 
> > > error, see below.
> > > 
> > > I see this behaviour on three machines, all running newest CURRENT.
> > 
> > The package builds do not reference this library (e.g. tiff builds
> > fine), so something else is wrong on your system.  Unfortunately you
> > didn't give enough information to figure out what it could be.
> 
> I have seen this and fixed it by forcing a rebuild of libtool.

You need to rebuild "just about" everything after the recent
mega-changes, so portupgrade -fa is probably easiest.

Kris
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 187 bytes
Desc: not available
Url : http://lists.freebsd.org/pipermail/freebsd-current/attachments/20070524/0d9b9160/attachment.pgp


More information about the freebsd-current mailing list